SuperLU: SRC/ilu_zdrop_row.c File Reference

# SRC/ilu_zdrop_row.c File Reference

Drop small rows from L. More...

`#include <math.h>`
`#include <stdlib.h>`
`#include "slu_zdefs.h"`

## Functions
void | zswap_ (int *, doublecomplex[], int *, doublecomplex[], int *)
void | zaxpy_ (int *, doublecomplex *, doublecomplex[], int *, doublecomplex[], int *)
void | zcopy_ (int *, doublecomplex[], int *, doublecomplex[], int *)
double | dzasum_ (int *, doublecomplex *, int *)
double | dznrm2_ (int *, doublecomplex *, int *)
double | dnrm2_ (int *, double[], int *)
int | izamax_ (int *, doublecomplex[], int *)
static int | _compare_ (const void *a, const void *b)
int | ilu_zdrop_row (superlu_options_t *options, int first, int last, double drop_tol, int quota, int *nnzLj, double *fill_tol, GlobalLU_t *Glu, double dwork[], double dwork2[], int lastc)
## Variables
static double * | A

## Detailed Description

     -- SuperLU routine (version 4.1) --
     Lawrence Berkeley National Laboratory.
     June 30, 2009

## Function Documentation

static int _compare_ | ( | const void * | a,
|  | const void * | b |
| ) |  |  | `[static]`

double dnrm2_ | ( | int * | ,
|  | double | [],
|  | int * |  |
| ) |  |  |

double dzasum_ | ( | int * | ,
|  | doublecomplex * | ,
|  | int * |  |
| ) |  |  |

double dznrm2_ | ( | int * | ,
|  | doublecomplex * | ,
|  | int * |  |
| ) |  |  |

int ilu_zdrop_row | ( | superlu_options_t * | options,
|  | int | first,
|  | int | last,
|  | double | drop_tol,
|  | int | quota,
|  | int * | nnzLj,
|  | double * | fill_tol,
|  | GlobalLU_t * | Glu,
|  | double | dwork[],
|  | double | dwork2[],
|  | int | lastc |
| ) |  |  |

     Purpose
     =======
        ilu_zdrop_row() - Drop some small rows from the previous
        supernode (L-part only).

int izamax_ | ( | int * | ,
|  | doublecomplex | [],
|  | int * |  |
| ) |  |  |

void zaxpy_ | ( | int * | ,
|  | doublecomplex * | ,
|  | doublecomplex | [],
|  | int * | ,
|  | doublecomplex | [],
|  | int * |  |
| ) |  |  |

void zcopy_ | ( | int * | ,
|  | doublecomplex | [],
|  | int * | ,
|  | doublecomplex | [],
|  | int * |  |
| ) |  |  |

void zswap_ | ( | int * | ,
|  | doublecomplex | [],
|  | int * | ,
|  | doublecomplex | [],
|  | int * |  |
| ) |  |  |

## Variable Documentation

double* A`[static]`